Name:           fbzx
Version:        2.10.0
Release:        alt1_2
Summary:        A ZX Spectrum emulator for FrameBuffer

Group:          Emulators
License:        GPLv3+
URL:            http://www.rastersoft.com/fbzx.html
Source0:        %{name}-%{version}-noroms.tar.bz2
# The above file is derived from:
# http://www.rastersoft.com/descargas/%{name}-%{version}.tar.bz2
# This file contains Spectrum ROMs and cannot be shipped in Fedora. 
# Therefore we use this script to remove them before shipping it. 
# Download the upstream tarball and invoke this script while in 
# the tarball's directory:
# ./fbzx-generate-tarball.sh 2.10.0
Source1:        %{name}-generate-tarball.sh
Source2:        README_%{name}.Fedora

BuildRequires:  libSDL-devel
BuildRequires:  libalsa-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  desktop-file-utils
Requires:       icon-theme-hicolor
Source44: import.info

%description
FBZX is a Sinclair Spectrum emulator, designed to work at full screen using 
the FrameBuffer or under X-Windows. 


%prep
%setup -q

# Patch to use rpm optflags 
sed -i -e "s/-O2 -Wno-pointer-sign -Wall //" Makefile


%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}


%install

#install application
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

# install data
mkdir -p %{buildroot}%{_datadir}/%{name}
install -p -m 644 keymap.bmp %{buildroot}%{_datadir}/%{name}

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 %{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --remove-key Version \
  --add-category Emulator \
  --dir %{buildroot}%{_datadir}/applications \
  %{name}.desktop

# install Fedora README
install -pm0644 %{SOURCE2} README.Fedora


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%doc AMSTRAD CAPABILITIES COPYING FAQ README* TODO VERSIONS


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.10.0-alt1_2
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 2.10.0-alt1_1
- initial fc import

